#ifndef DICEPICKER_H
#define DICEPICKER_H

#include <QDialog>

class AbstractDice;
class QLabel;
class KListWidget;
class KDialogButtonBox;

class DicePicker : public QDialog
{
	Q_OBJECT
public:
	DicePicker(QWidget* parent = 0);

public slots:
	void apply();

signals:
	void addDice(AbstractDice*);

private:
	QLabel* label;
	KListWidget* diceList;
	KDialogButtonBox* buttonBox;
};

#endif // DICEPICKER_H
